<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="user$ | async as user">
  <div *ngIf="(user$ | async)?.organisation; let org" class="w-full h-full flex gap-4 px-4 pt-6">
    <div class="w-[calc(400px)] h-full flex flex-col overflow-y-auto pb-10 shrink-0">
      <div class="flex items-center gap-3">
        <i class="fa fa-circle text-success"></i>
        <div class="font-semibold text-lg">Organisation online</div>
      </div>
      <div class="mt-8 text-text-300 text-sm">Organisation ID</div>
      <div class="flex items-center gap-2 font-semibold">
        <div class="w-fit">
          {{ org.cid }}
          <span
            ><p-button
              icon="pi pi-copy"
              [text]="true"
              appCopyToClipboard
              copyMessage="cid coppied to clipboard"
              [textToCopy]="org.cid"
              [style]="{ width: '24px', height: '24px' }"
            ></p-button
          ></span>
        </div>
      </div>
    </div>
    <div class="h-full pb-14">
      <div class="w-0.5 h-full bg-borderGrey"></div>
    </div>
    <div class="grow h-full shrink-0 overflow-x-auto">
      <app-org-audit-trails *ngIf="isAdmin"></app-org-audit-trails>
      <app-user-audit-trails *ngIf="!isAdmin"></app-user-audit-trails>
    </div>
  </div>
</ng-container>
